Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.services
Interface PropertyOutputContext

    public interface PropertyOutputContext

Provides context information needed when displaying a value. This interface is an integral part of the `Grid` and similar output components. It is made available to components via an `Environmental` annotation.

Method Summary
`Messages` | `getMessages()` Returns the message catalog appropriate for use.
`java.lang.String` | `getPropertyId()` Returns a string that identifies the property, usually the property name.
`java.lang.String` | `getPropertyName()` Returns the name of the property (which may, in fact, be a property expression).
`java.lang.Object` | `getPropertyValue()` Returns the value of the property (the object being displayed is encapsulated by the context).

Method Detail

### getPropertyValue

    java.lang.Object getPropertyValue()

  Returns the value of the property (the object being displayed is encapsulated by the context).

### getMessages

    Messages getMessages()

  Returns the message catalog appropriate for use. In practice, this is the message catalog of the container of the `Grid` component. This is used, for example, to locate labels for fields, or to locate string representations of Enums.

### getPropertyId

    java.lang.String getPropertyId()

  Returns a string that identifies the property, usually the property name. This is used as the basis for the client-side client id.

### getPropertyName

    java.lang.String getPropertyName()

  Returns the name of the property (which may, in fact, be a property expression).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.